JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class OaIdl.CALLCONV

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.OaIdl.CALLCONV

Direct Known Subclasses:
  OaIdl.CALLCONV.ByReference

Enclosing interface:
  OaIdl

    public static class OaIdl.CALLCONV

extends Structure

Nested Class Summary
`static class` `OaIdl.CALLCONV.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByValue`

Field Summary
`static int` `CC_CDECL`
`static int` `CC_FASTCALL`
`static int` `CC_FPFASTCALL`
`static int` `CC_MACPASCAL`
`static int` `CC_MAX`
`static int` `CC_MPWCDECL`
`static int` `CC_MPWPASCAL`
`static int` `CC_MSCPASCAL`
`static int` `CC_PASCAL`
`static int` `CC_STDCALL`
`static int` `CC_SYSCALL`
`int` `value`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`OaIdl.CALLCONV()`
`OaIdl.CALLCONV(int value)`

Method Summary
`protected java.util.List` `getFieldOrder()` Return this Structure's field names in their proper order.

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CC_FASTCALL

    public static final int CC_FASTCALL

See Also:
  Constant Field Values

### CC_CDECL

    public static final int CC_CDECL

See Also:
  Constant Field Values

### CC_MSCPASCAL

    public static final int CC_MSCPASCAL

See Also:
  Constant Field Values

### CC_PASCAL

    public static final int CC_PASCAL

See Also:
  Constant Field Values

### CC_MACPASCAL

    public static final int CC_MACPASCAL

See Also:
  Constant Field Values

### CC_STDCALL

    public static final int CC_STDCALL

See Also:
  Constant Field Values

### CC_FPFASTCALL

    public static final int CC_FPFASTCALL

See Also:
  Constant Field Values

### CC_SYSCALL

    public static final int CC_SYSCALL

See Also:
  Constant Field Values

### CC_MPWCDECL

    public static final int CC_MPWCDECL

See Also:
  Constant Field Values

### CC_MPWPASCAL

    public static final int CC_MPWPASCAL

See Also:
  Constant Field Values

### CC_MAX

    public static final int CC_MAX

See Also:
  Constant Field Values

### value

    public int value

Constructor Detail

### OaIdl.CALLCONV

    public OaIdl.CALLCONV()

### OaIdl.CALLCONV

    public OaIdl.CALLCONV(int value)

Method Detail

### getFieldOrder

    protected java.util.List getFieldOrder()

  Description copied from class: `Structure`
  Return this Structure's field names in their proper order. For example,

       protected List getFieldOrder() {
           return Arrays.asList(new String[] { ... });
       }

  IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

       protected List getFieldOrder() {
           List fields = new ArrayList(super.getFieldOrder());
           fields.addAll(Arrays.asList(new String[] { ... }));
           return fields;
       }

  Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

  Specified by:
    `getFieldOrder` in class `Structure`

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.